with GNATCOM.Dispinterface;

package MSHTML.IHTMLMimeTypesCollection_Interface is

   type IHTMLMimeTypesCollection_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLMimeTypesCollection_Type);

   function Pointer (This : IHTMLMimeTypesCollection_Type)
     return Pointer_To_IHTMLMimeTypesCollection;

   procedure Attach (This    : in out IHTMLMimeTypesCollection_Type;
                     Pointer : in     Pointer_To_IHTMLMimeTypesCollection);

   function Get_length
     (This : IHTMLMimeTypesCollection_Type)
     return Interfaces.C.long;

end MSHTML.IHTMLMimeTypesCollection_Interface;

